#!/usr/bin/perl

use strict;

our ($directory, $out_dir) = @ARGV;

opendir(IMD, $directory);
my @files = readdir(IMD);
closedir(IMD);

foreach my $file (@files) {
    next if ($file eq ".." || $file eq ".");
    open(FILE, $directory . "/" . $file);
    open (DEST, ">".$out_dir."/".$file);
    print DEST '\documentclass{article}
\usepackage[a5paper]{geometry}
\usepackage[cm]{fullpage}
\usepackage[french]{babel}
\usepackage[nostepnumber]{cuisine2}
\usepackage{graphicx}
\usepackage{makeidx}
\usepackage[utf8]{inputenc}
\usepackage{environ}
\NewEnviron{recipe}[3]{%
  \begin{recipe2}{#1}{#2}{#3}
    \BODY
  \end{recipe2}%
  }%
\begin{document}
';
    print DEST <FILE>;
    print DEST '
\end{document}
';
    close(DEST);
    close(FILE);
}
